ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Greg Amerson <gregory.amer...@liferay.com>
Subject Re: IvyDE ivy-settings.xml and <pgp /> element
Date Fri, 27 Sep 2013 03:20:13 GMT
Thanks Stephen for responding.  I've opened a ticket about that on IvyDE
side: https://issues.apache.org/jira/browse/IVYDE-347

However, part of the fix needs to go to Ivy jar itself, maybe I need to
open a new ticket on just Ivy project.  Here is my suggested change:

https://github.com/gamerson/ivy/compare/apache:trunk...IVYDE-347

In my Eclipse environment, if I patch the Ivy osgi jar with these 3
optional dependencies and also install 2 other OSGi bundles, namely bcpgp
and bcprov, then these imports will be resolved in the Ivy jar and it can
load/parse ivy-setttings.xml files that contain <pgp> element.

Should I enter another ticket for just Ivy project?


On Fri, Sep 27, 2013 at 10:14 AM, Stephen Haberman <
stephen.haberman@gmail.com> wrote:

>
> > Any thoughts?
>
> I'm not an Eclipse/OSGi expert, but since no one else has replied, I
> think that makes sense to me.
>
> - Stephen
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
> For additional commands, e-mail: dev-help@ant.apache.org
>
>


-- 
Greg Amerson
Liferay Developer Tools
Liferay, Inc. www.liferay.com

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message